This endpoint is still on our legacy API.
Fetch all cameras.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Industrial under the Industrial category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/industrial/vision/cameras \
--header 'Authorization: Bearer <token>'[
{
"cameraId": 1234512345999,
"cameraName": "Line 32",
"ethernetIp": "10.1.2.34",
"wifiIp": "10.1.2.35"
}
]Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request GET \
--url https://api.samsara.com/v1/industrial/vision/cameras \
--header 'Authorization: Bearer <token>'[
{
"cameraId": 1234512345999,
"cameraName": "Line 32",
"ethernetIp": "10.1.2.34",
"wifiIp": "10.1.2.35"
}
]